petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecAXPBYPCZ

Computes z = alpha x + beta y + gamma z

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPBYPCZ(Vec z,PetscScalar alpha,PetscScalar beta,PetscScalar gamma,Vec x,Vec y)

Logically Collective on Vec Many br

### Input Parameters

| alpha,beta, gamma | - the scalars Many br
| x, y, z | - the vectors Many br

### Output Parameter

z -output vector Many br

Many br

Notes: x, y and z must be different vectors Many br

Developer Note: alpha = 1 or gamma = 1 or gamma = 0.0 are handled as special cases Many br

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages